For the complete documentation index, see llms.txt. This page is also available as Markdown.

Recommendation Preferences

Recommendation apis for recommendations preferences.

Update a cloud account override

put

Update the cloud accounts for an existing override identified by its ID

Path parameters
uuidstringRequired

Unique identifier for the override

Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

Bodyobject · CCMCloudAccount[]
idstringOptional
namestringOptional
Responses
400

Bad Request

application/json

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
put/recommendation/preference/cloud-account-override/{uuid}
PUT /gateway/ccm/api/recommendation/preference/cloud-account-override/{uuid}?accountIdentifier=text HTTP/1.1
Host: nextgen-ce-d788d786-jz7g5
Content-Type: application/json
Accept: */*
Content-Length: 29

[
  {
    "id": "text",
    "name": "text"
  }
]
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}

Delete a cloud account override

delete

Delete a cloud account level preset override by its ID

Path parameters
uuidstringRequired

Unique identifier for the override

Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

Responses
400

Bad Request

application/json

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
delete/recommendation/preference/cloud-account-override/{uuid}
DELETE /gateway/ccm/api/recommendation/preference/cloud-account-override/{uuid}?accountIdentifier=text HTTP/1.1
Host: nextgen-ce-d788d786-jz7g5
Accept: */*
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}

Get applied preferences for given account

get

Get applied preferences for given account

Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

Responses
400

Bad Request

application/json

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
get/recommendation/preference
GET /gateway/ccm/api/recommendation/preference?accountIdentifier=text HTTP/1.1
Host: nextgen-ce-d788d786-jz7g5
Accept: */*
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}

Update preference

put

update preferences for your recommendations

Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

Body
uuidstringOptional
accountIdstringOptional
childRecommendationbooleanOptional
includeIgnoredRecommendationbooleanOptional
parentRecommendationbooleanOptional
enableRecommendationInferencesbooleanOptional
appliedJiraStatusesstring[]Optional
ignoredJiraStatusesstring[]Optional
appliedJiraResolutionCodesstring[]Optional
ignoredJiraResolutionCodesstring[]Optional
serviceNowActualSavingsFieldNamestringOptional
serviceNowVarianceNotesFieldNamestringOptional
lastUpdatedAtinteger · int64Optional
Responses
400

Bad Request

application/json

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
put/recommendation/preference
PUT /gateway/ccm/api/recommendation/preference?accountIdentifier=text HTTP/1.1
Host: nextgen-ce-d788d786-jz7g5
Content-Type: application/json
Accept: */*
Content-Length: 802

{
  "uuid": "text",
  "accountId": "text",
  "recommendationPresets": {
    "ANY_ADDITIONAL_PROPERTY": "text"
  },
  "lookBackPeriod": {
    "ec2InstancePeriod": 1,
    "ec2InstanceV2Period": 1,
    "ecsServicePeriod": 1,
    "workloadPeriod": 1,
    "nodepoolPeriod": 1
  },
  "childRecommendation": true,
  "includeIgnoredRecommendation": true,
  "parentRecommendation": true,
  "enableRecommendationInferences": true,
  "appliedJiraStatuses": [
    "text"
  ],
  "ignoredJiraStatuses": [
    "text"
  ],
  "appliedJiraResolutionCodes": [
    "text"
  ],
  "ignoredJiraResolutionCodes": [
    "text"
  ],
  "jiraFieldMappings": {
    "ANY_ADDITIONAL_PROPERTY": {
      "ANY_ADDITIONAL_PROPERTY": {
        "savingsFieldName": "text",
        "varianceFieldName": "text"
      }
    }
  },
  "serviceNowActualSavingsFieldName": "text",
  "serviceNowVarianceNotesFieldName": "text",
  "lastUpdatedAt": 1,
  "lastUpdatedBy": {
    "uuid": "text",
    "name": "text",
    "email": "text",
    "externalUserId": "text"
  }
}
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}

Get cloud account override overview

get

Get an overview of cloud provider recommendation preferences with default presets and override counts per resource type

Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

Responses
400

Bad Request

application/json

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
get/recommendation/preference/cloud-account-override/overview
GET /gateway/ccm/api/recommendation/preference/cloud-account-override/overview?accountIdentifier=text HTTP/1.1
Host: nextgen-ce-d788d786-jz7g5
Accept: */*
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}

List cloud account overrides by resource type

get

List all cloud account level preset overrides for a given resource type

Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

resourceTypestring · enumRequired

Resource type to list overrides for

Possible values:
Responses
400

Bad Request

application/json

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
get/recommendation/preference/cloud-account-override
GET /gateway/ccm/api/recommendation/preference/cloud-account-override?accountIdentifier=text&resourceType=WORKLOAD HTTP/1.1
Host: nextgen-ce-d788d786-jz7g5
Accept: */*
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}

Create a cloud account override

post

Create a cloud account level preset override for recommendations. If an override already exists for the same resource type and preset, the cloud accounts will be merged into the existing record.

Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

Body
uuidstringOptional
accountIdstringRequired
resourceTypestring · enumRequiredPossible values:
presetIdstringRequired
lastUpdatedAtinteger · int64Optional
Responses
400

Bad Request

application/json

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
post/recommendation/preference/cloud-account-override
POST /gateway/ccm/api/recommendation/preference/cloud-account-override?accountIdentifier=text HTTP/1.1
Host: nextgen-ce-d788d786-jz7g5
Content-Type: application/json
Accept: */*
Content-Length: 227

{
  "uuid": "text",
  "accountId": "text",
  "resourceType": "WORKLOAD",
  "presetId": "text",
  "cloudAccounts": [
    {
      "id": "text",
      "name": "text"
    }
  ],
  "lastUpdatedAt": 1,
  "lastUpdatedBy": {
    "uuid": "text",
    "name": "text",
    "email": "text",
    "externalUserId": "text"
  }
}
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}

Last updated

Was this helpful?